.events {
    position: relative;
    z-index: 1;
    color: #FFFFFF;
}

.events__bg {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

.events__wrap {
    position: relative;
    z-index: 1;
    background: rgba(0, 0, 0, 0.5);
    padding: 60px 0;
}

.events__content h2  {
    color: #FFFFFF;
}

.events__content p {
    font-weight: 500;
}

.events__col {
    margin: 10px 0 0;
}

.events__col a {
    display: block;
    width: 100%;
    padding: 21px 57px 21px 20px;
    border-radius: 12px;
    background: rgba(255,255,255, 0.2);
    position: relative;
    border: none;
    backdrop-filter: blur(20px);
    --webkit-backdrop-filter: blur(20px);
    filter: brightness(100%);
    font-size: 18px;
    line-height: 1.33em;
    color: #FFFFFF;
    font-weight: 600;
}

.events__col a i {
    position: absolute;
    right: 20px;
    top: 22px;
    font-size: 21px;
}

.events__btn {
    text-align: right;
    margin-top: 30px;
}

.events__btn .btn {
    color: #FFFFFF;
}

.events__block {
    position: relative;
    z-index: 1;
}

.events__block::before {
    content: "";
    position: absolute;
    left: -52px;
    top: 0;
    width: calc(100% + 104px);
    height: 100%;
    background: rgba(255,255,255, 0.2);
    backdrop-filter: blur(20px);
    --webkit-backdrop-filter: blur(20px);
    filter: brightness(100%);
    z-index: -1;
}

.event-details {
    background: #FFFFFF;
    border-radius: 12px;
    overflow: hidden;
    color: #7F7F7F;
}

.events-image {
    width: 100%;
    height: 201px;
}

.events-image img {
    object-position: center;
}

.event-details__content {
    padding: 30px 59px 40px;
    display: flex;
    flex-wrap: wrap;
}

.event-details__content h4 {
    margin: 0 0 14px;
    padding: 0 0;
    color: #231F20;
    font-size: 24px;
    line-height: 1.2em;
    font-weight: 700;
    font-family: "Inter", sans-serif;
}

.event-details__content p {
    line-height: 1.75em;
}

.event-details__left,
.event-details__right {
    width: 50%;
}

.event-details__left {
    padding-right: 16px;
}

.event-details__right {
    padding-left: 16px;
}

.events-logo {
    margin-bottom: 30px;
}

.event-details__right h5 {
    margin: 0 0 20px;
    padding: 0 0;
    color: var( --black );
    font-size: 18px;
    line-height: 1.2em;
    font-weight: 500;
    font-family: "Inter", sans-serif;
}

.events-info {
    margin-bottom: 20px;
    position: relative;
    padding-left: 16px;
    max-width: 230px;
}

.events-info::before {
    content: "";
    position: absolute;
    left: 0px;
    top: 0;
    width: 4px;
    height: 100%;
    background: #EEEDF8;
    border-radius: 4px;
}

.events-info span {
    margin: 0 0 8px;
    padding: 0 0;
    color: rgba(127,127,127, 0.5);
    font-size: 16px;
    line-height: 1.2em;
    font-weight: 500;
    font-family: "Inter", sans-serif;
    display: block;
}

.events-info a {
    margin: 0 0 0;
    padding: 0 0;
    color: var( --black );
    font-size: 16px;
    line-height: 1.25em;
    font-weight: 300;
    font-family: "Inter", sans-serif;
    background: transparent;
    border: none;
}

.events__more-btn {
    position: absolute;
    right: 0;
    bottom: 0;
}

.js-event-slider .slick-arrow {
    margin-top: 0;
    transform: translate(0, -50%);
    width: 43px;
    height: 43px;
    background: rgba(255,255,255,0.25);
    border: 1px solid rgba(255,255,255,0.25);
    opacity: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    color: var( --white );
    bottom: -22px;
}

.js-event-slider .slick-arrow:hover {
    background: var( --lime );
    border-color: var( --lime );
    color: #000;
}

.js-event-slider .slick-arrow::before {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    font-size: 15px;
    padding: 0 5px;
    font-weight: 600;
}

.js-event-slider .slick-prev {
    left: auto;
    right: 58px;
    margin-left: 0px;
}

.js-event-slider .slick-next {
    right: 0;
    margin-right: 0px;
}


@media (min-width: 768px) {

    .events__wrap {
        padding: 90px 0 0;
    }
    .events__content {
        max-width: 548px;
        padding-bottom: 40px;
    }

    .events__content .btn-secondary {
        color: #FFFFFF;
        border-color: #FFFFFF;
    }

    .events__block {
        padding: 40px 0 70px;
    }

    .js-event-slider {
        padding: 0 0 65px;
        max-width: 664px;
    }
}

@media (min-width: 1200px) {
    .events {
        margin: 0 63px 115px;
        overflow: hidden;
        border-radius: 20px;
    }
    .events__wrap {
        padding: 0 0 0;
    }

    .events__block::before {
        left: -63px;
        width: calc(100% + 100px);
    }

    .events__content {
        max-width: 424px;
        padding-bottom: 0;
    }

    .events__content h2 {
        font-size: 50px;
    }

    .events__content p {
        margin-bottom: 45px;
    }

    .events__content .btn-secondary:hover {
        color: var( --black );
        background: var( --lime );
        border-color: var( --lime );
    }

    .events__flex {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        flex-direction: row-reverse;
    }

    .events__left {
        width: calc(50% + 90px);
    }

    .events__right {
        width: calc(50% - 90px); 
        padding-left: 78px;
        padding-top: 20px;
        padding-bottom: 20px;
        position: relative;
        display: flex;
        align-items: center;
    }

    .events__block {
        padding: 75px 0;
        height: 100%;
    }

    .event-details {
        max-width: 652px;
        margin-left: 0;
        border-radius: 20px;
    }

    .event-details__content {
        padding: 30px 40px 44px;
    }
    
    .event-details__content p {
        font-size: 16px;
        color: rgba(127,127,127, 0.5);
    }
    
    .event-details__left,
    .event-details__right {
        width: 50%;
    }
    
    .event-details__left {
        padding-right: 0;
    }
    
    .event-details__right {
        padding-left: 35px;
        position: relative;
    }
    
    .events-logo {
        margin-bottom: 28px;
    }
    
    .event-details__right h5 {
        margin: 0 0 8px;
    }
    
    .events-info {
        margin-bottom: 50px;
    }

    .js-event-slider {
        padding: 80px 0;
        max-width: 664px;
    }

    .events__content .btn-secondary {
        text-transform: capitalize;
    }
}

@media (min-width: 1800px) {
    .event-details {
        margin-left: 87px;
    }

    .events__content h2 {
        font-size: 55px;
    }


    .events__block::before {
        left: -63px;
        width: calc(100% + 63px);
    }

    .js-event-slider {
        padding: 90px 0;
        max-width: 750px;
    }

    .js-event-slider .slick-prev {
        right: 70px;
    }
    
    .js-event-slider .slick-next {
        right: 12px;
        margin-right: 0px;
    }

}